# containers.podman.buildah_containers inventory – Inventory plugin that discovers Buildah working containers as hosts

Note

This inventory plugin is part of the containers.podman collection (version 1.20.0).

It is not included in `ansible-core`. To check whether it is installed, run `ansible-galaxy collection list`.

To install it, use: `ansible-galaxy collection install containers.podman`.

To use it in a playbook, specify: `containers.podman.buildah_containers`.

New in containers.podman 1.18.0

## Synopsis

- Discover Buildah working containers on the local host and add them as inventory hosts.

- Each discovered host is assigned the Buildah connection plugin so tasks execute inside the working container.

## Parameters

Parameter | Comments
--- | ---
connection_plugin string | Fully-qualified connection plugin to use for discovered hosts. Default: `"containers.podman.buildah"`

executable

string

Path to the `buildah` executable.

Default: `"buildah"`

Configuration:

- Environment variable: `ANSIBLE_BUILDAH_EXECUTABLE`

name_patterns list / elements=string | Glob patterns to match working container names or IDs; empty means include all. Default: `[]`

plugin

string / required

Token that ensures this is a source file for the ‘containers.podman.buildah_containers’ inventory plugin.

Choices:

- `"containers.podman.buildah_containers"`

## Examples

    plugin: containers.podman.buildah_containers
    connection_plugin: containers.podman.buildah
    name_patterns:
      - my-build-*

### Authors

- Sagi Shnaidman (@sshnaidm)

### Collection links

- Issue Tracker
- Repository (Sources)